%define subversion	10

Summary:	Menu system
Name:		menu
Version:	2.1.5
Release:	79mdk

Source0:	%{name}-%{version}-%{subversion}.tar.bz2
Source1:	%{name}.txt.bz2
Source2:	%{name}-icons.tar.bz2
Source3:	%{name}.menu
Source4:	%{name}-locales.tar.bz2
Source5:	%{name}.method
Source6:	%{name}.xinit
Source7:	soundwrapper
Source8:	%{name}-simplified.menu

Patch0:		menu-2.1.5-10-mdkconf.patch.bz2
Patch1:		menu-2.1.5-10-i18n.patch.bz2
Patch5:		menu-2.1.5-chmod.patch.bz2
Patch8:		menu-2.1.5-gcc296.patch.bz2
Patch9:		menu-2.1.5-rootmenu.patch.bz2
Patch11:	menu-2.1.5-xvt.patch.bz2
Patch12:	menu-2.1.5-simplifiedmenus.patch.bz2

License:	GPL
Group:		System/Base
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	rpm >= 4.0.3-0.16mdk
BuildRequires:	rpm-devel >= 4.0.3-0.16mdk bzip2 db1-devel 
Prereq:		sed perl-base

%description
The intent of this package is to streamline the menu's. For this purpose,
menu provides an "update-menus" command, that will read all installed menu
files (as provided by other packages in %{_menudir}), and run the frontents
for various window managers in /etc/menu-methods to create startup files for
the window managers (or pdmenu).

The user and system admin can easily override the menu files on a by-user or
by-system bases.

%prep

%setup -q -a 4
%patch0 -p1 -b .mdk
%patch1 -p1 -b .i18n
%patch5 -p1 -b .chmod
%patch8 -p1 -b .gcc296
%patch9 -p1 -b .rootmenu
%patch11 -p1 -b .xvt
%patch12 -p1 -b .simplified

# needed by patch 0
automake

%build

%configure

%ifarch alpha
find . -type f -exec perl -pi -e 's/-lrpmio/-lrpmio\ -lbz2\ -ldb-3\.1\ /g' {} \;
%endif

# don't use MDK optimization, update-menus core dumps 
make CFLAGS="-O3" CXXFLAGS="-O3"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/{man1,man5}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{menu,menu-methods}
install -m 755 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/menu-methods/%{name}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/menu-methods/simplified
mkdir -p $RPM_BUILD_ROOT%{_menudir}/default $RPM_BUILD_ROOT%{_menudir}/simplified 
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_menudir}/menu
install -m 644 %{SOURCE8} $RPM_BUILD_ROOT%{_menudir}/simplified/menu
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE2} | tar xf - -C $RPM_BUILD_ROOT%{_iconsdir}
%makeinstall
mv $RPM_BUILD_ROOT%{_bindir}/install-menu $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{_bindir}/install-fvwmgenmenu $RPM_BUILD_ROOT%{_sbindir}

cp examples/translate_menus examples/menu.h \
	   examples/menu.config $RPM_BUILD_ROOT%{_sysconfdir}/menu-methods
install -m 755 scripts/install-fvwmgenmenu.sh scripts/su-to-root \
	  scripts/wm-menu-config \
	  $RPM_BUILD_ROOT%{_sbindir}
install -m 644 doc/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 doc/*.5 $RPM_BUILD_ROOT%{_mandir}/man5
bzcat %{SOURCE1} > doc/menu.txt

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit.d
install -m 755 %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit.d/%{name}

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/menu

%find_lang menu-messages
%find_lang menu
(
cat menu-messages.lang > menu-po.lang
cat menu.lang >> menu-po.lang
)

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 %{SOURCE7} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
RPM_INSTALL_LANG=`grep ^%%_install_langs %{_sysconfdir}/rpm/macros 2>/dev/null | sed 's/^%%_install_langs[ 	]*//' `

if [ -r %{_sysconfdir}/sysconfig/i18n ]; then
    . %{_sysconfdir}/sysconfig/i18n
    LANG=`echo $LANG | sed 's/\..*//' `
else
    LANG=C
fi
[ -z "$RPM_INSTALL_LANG" ] && RPM_INSTALL_LANG=C

rm -f %{_sysconfdir}/menu-methods/lang.h

echo "function lang()=\"$LANG\"" > %{_sysconfdir}/menu-methods/lang.h

if [ $RPM_INSTALL_LANG == all ]; then
    RPM_INSTALL_LANG=`echo %{_datadir}/locale/*/LC_MESSAGES/menu-messages.mo | sed -e 's@%{_datadir}/locale/@@g' -e 's@/LC_MESSAGES/menu-messages.mo@@g' -e 's@ @:@g'`
    
    # For locales like traditionnel chinese or simplified chinese, we need some extra tweaking.
    if [ -a %{_datadir}/locale/zh_CN/LC_MESSAGES/menu-messages.mo ]; then
	RPM_INSTALL_LANG=`echo $RPM_INSTALL_LANG | sed -e 's@zh_CN@zh_CN:zh_CN.GB2312:zh_CN.gb2312@g'`
    fi

    if [ -a %{_datadir}/locale/zh_TW/LC_MESSAGES/menu-messages.mo ]; then
	RPM_INSTALL_LANG=`echo $RPM_INSTALL_LANG | sed -e 's@zh_TW@zh_TW:zh_TW.Big5:zh_TW.big5@g'`
    fi

fi	
echo "function languages()=\"$RPM_INSTALL_LANG\"" >> %{_sysconfdir}/menu-methods/lang.h
%update_menus


%postun
%clean_menus

%files -f menu-po.lang
%defattr(-,root,root,0755)
%doc doc/{README*,BUGS,menu.txt} AUTHORS debian/changelog examples
%dir %{_sysconfdir}/menu-methods
%config(noreplace) %{_sysconfdir}/menu-methods/*
%config %{_sysconfdir}/menu
%config(noreplace) %{_sysconfdir}/X11/xinit.d/menu
%dir %{_localstatedir}/menu
%{_bindir}/update-menus
%{_bindir}/soundwrapper
%{_menudir}
%{_sbindir}/*
%{_miconsdir}/*.xpm
%{_liconsdir}/*.xpm
%{_iconsdir}/*.xpm
%{_mandir}/man1/*
%{_mandir}/man5/*


%changelog
* Mon Sep 24 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 2.1.5-79mdk
- rebuild including latest translations

* Wed Sep 19 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.5-78mdk
- Fix menu entries for simplied menu (names, icons)
- Fix Applications/Finances icon

* Tue Sep 18 2001 Pablo Saratxaga <pablo@mandrakesoft.com>  2.1.5-77mdk
- rebuild including latest translations

* Mon Sep 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-76mdk
- Update patch 12: correctly load menu entries for simplified menu

* Tue Sep 11 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.5-75mdk
- Provides icons for Databases & Accessories (Office)

* Tue Sep 11 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.5-74mdk
- Fix Time Management icons names (mini & large)

* Mon Sep 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.5-73mdk
- Fix strategy icons
- Add missing translation

* Wed Sep  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-72mdk
- Update menu translation
- Merge patches 1, 6, 7, 10 in patch 1

* Tue Sep  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-71mdk
- Update patch0 : old patch3 was not merged correctly

* Fri Aug 31 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 2.1.5-70mdk
- Fixed bug that the 'languages()' in /etc/menu-methods/lang.h is incomplete when
  user installs all the locales.

* Mon Aug 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-69mdk
- Add some optimizations
- Fix patch5 to use -p1 
- Merge patch 3 in patch 0
- Regenerate patch12 to prevent crashes

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-68mdk
- Patch12, Source8: add support for simplified menus

* Mon Aug 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-67mdk
- Update source6 : don't update user menu if ~/.menu doesn't exist
- Update source3 : add Office/Accessories

* Tue Aug 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-66mdk
- Updated icons (source2)

* Thu Aug  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-65mdk
- Update main source to 2.1.5-10 version
- Regenerate patches 0, 1, 3, 9, 11
- Remove patch2 (merged upstream)

* Fri Jul 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-62mdk
- Fix patch10 to drop requires on locales-en

* Mon Jul 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-61mdk
- Update patch10 for better charset handling (pablo)

* Wed Jul 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-60mdk
- Recompiled against latest rpm

* Sat Jul 07 2001 Stefan van der Eijk <stefan@eijk.nu> 2.1.5-59mdk
- Remove BuildRequires:	popt-devel zlib-devel

* Mon Jul  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-58mdk
- Patch11: Use xvt instead of xterm

* Fri Jun 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-57mdk
- Fix dependencies

* Mon Jun 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-56mdk
- Update source3: add new submenus

* Wed Jun 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-55mdk
- Regenerate patch0 : rpm 4.0.3 support

* Tue Jun 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-54mdk
- Updates locales (allow to compile with latest gettext)
- Update source3: New submenu structure for Office entry

* Tue Apr 24 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.1.5-53mdk
- Really fix the build on the Alpha platform.

* Sat Apr 21 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.1.5-52mdk
- Fix build on Alpha.

* Sat Apr 14 2001 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-51mdk
- really fixed l10n of menu methods

* Fri Apr 13 2001 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-50mdk
- override LC_MESSAGES

* Thu Apr 12 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.5-49mdk
- Add new icons
- Clean and adapt menu entry
- Update locales - Frederic LEPIED

* Mon Apr  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-48mdk
- Update locales

* Tue Feb 27 2001  <fcrozat@bi.mandrakesoft.com> 2.1.5-47mdk
- update locales

* Tue Feb 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-46mdk
- Add support for root menu
- Use more macros

* Thu Jan 04 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 2.1.5-45mdk
- added support of languages() list from rpm macro file
- corrected lang() naming for locales with charset encoding in their name
- included mo files with new naming for Chinese files

* Fri Nov  3 2000 Vincent Saugey <vince@mandrakesoft.com> 2.1.5-44mdk
- Rebuild due to new libstd++

* Wed Oct 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.5-43mdk
- Fix some gcc2.96 wheirdness.
- Fix compile for rpmv4.

* Wed Oct 18 2000 Vincent Saugey <vince@mandrakesoft.com> 2.1.5-42mdk
- Add a fonction for encoding self made menu entry into different charset

* Tue Oct 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.5-41mdk
- Recompile for the new libstdc++.

* Tue Oct 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.1.5-40mdk
- use "$@" instead of $@ in soundwrapper

* Tue Oct 10 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-39mdk
- use $@ instead of $* in soundwrapper.
- updated po from CVS.
- removed patch for typo in fr (it must be done in the menu-messages cvs module).

* Mon Oct  9 2000 Montel Laurent <lmontel@mandrakesoft.com> 2.1.5-38mdk
- fix typo in fr.po

* Fri Oct  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.1.5-37mdk
- make soundwrapper esd-aware

* Fri Oct  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-36mdk
- added support for RPM_INSTALL_LANG=all

* Thu Oct  5 2000 Vincent Saugey <vince@mandrakesoft.com> 2.1.5-35mdk
- Fix in encode menu fail is no po found

* Wed Oct  4 2000 Vincent Saugey <vince@mandrakesoft.com> 2.1.5-34mdk
- encode_translate get po charset to make conversion.

* Wed Oct  4 2000 Vincent Saugey <vince@mandrakesoft.com> 2.1.5-33mdk
- Add encode_tranlate() function to language.

* Tue Oct  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-32mdk
- corrected prefix of locales.

* Tue Oct  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-31mdk
- updated po from CVS.
- merged patches.
- fork in background must be better handled.

* Fri Sep 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.1.5-30mdk
- add "soundwrapper" shell script to launch apps that require sound
  through the good wrapper

* Fri Sep 29 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-29mdk
- really include mo (buggy %%find_lang call).
- updated po from CVS.
- fork to background if -n is not used.

* Tue Sep 26 2000 Daouda Lo <daouda@mandrakesoft.com> 2.1.5-28mdk
- replace ICQ section by Instant Messaging.

* Fri Sep 22 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-27mdk
- updated locales from CVS.

* Mon Sep 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-26mdk
- updated the translations.
- added logic to automatically run update-menus as user when a system menu has changed.

* Thu Aug 31 2000 Vincent Saugey <vince@mandrakesoft.com> 2.1.5-25mdk
- Reinsert /etc/menu directory for system menu (who's suck ????)

* Mon Aug 28 2000 David BAUDENS <baudens@mandrakesoft.com> 2.1.5-24mdk
- Fix few bugs in menu entries

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-23mdk
- automatically added BuildRequires

* Mon Aug 07 2000 David BAUDENS <baudens@mandrasoft.com> 2.1.5-22mdk
- Fix macros & BM disaster (please be carreful that ALL FILES are included
  in the new package when you use macros and make BM)
- Add missing documentation

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.1.5-21mdk
- BM

* Tue Jul 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>  2.1.5-20mdk
- added postun scripts
- more macros
- Stefan van der Eijk <s.vandereijk@chello.nl> :
	* makeinstall macro
	* macroszifications

* Wed May 10 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-19mdk
- po updates for fr, lt, ro and sk.

* Tue May  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-18mdk
- new po.

* Sat May  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-17mdk
- new po.

* Thu May  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-16mdk
- fix bad chmod on dir.

* Thu May  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-15mdk
- pass environment to menu methods.
- catch endofline error to try to continue.

* Thu May  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-14mdk
- new po.
- do a chmod 644 on new file to allow menu to work on security level 5.

* Fri Apr 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-13mdk
- added icons for 16, 32 and 48.

* Wed Apr 26 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-12mdk
- updated po.
- corrected typos in menu entries.

* Wed Apr 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-11mdk
- new po.

* Tue Apr 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-10mdk
- added locales.

* Tue Apr 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-9mdk
- exit if DURING_INSTALL is set.

* Thu Apr 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-8mdk
- added new icons.
- removed default menus in Apps.

* Mon Apr 10 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-7mdk
- added icons for menu sections.
- added order in sections.

* Wed Apr  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.5-6mdk
- By default rootmenu are /Mandrake not Debian.

* Mon Apr  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-5mdk
- 2.1.5-4 author release: added also_run feature.
- doc update.
- fix for toplevel entry.
- tanslate debian menu sections to mandrake ones.

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.5-4mdk
- Fix default structure.

* Wed Feb 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.5-3mdk
- More mandrake adpatation in default config.

* Wed Feb 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-2mdk
- added documentation.

* Mon Feb 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-1mdk
- mandrake adaptation

# end of file
